Hammer Score Package
===
#####Version: 0.0.15

Provides the ability to create a pass / fail, or weighted result based on the model data contained within the environment.

> To view the current score, open the debugger and then the score tab.

####Setup Package for Development

To test this package standalone, run the following commands in a terminal:

    > npm install
    > bower install hammer-essentials
    > bower install jquery
    > grunt sandbox

####Running your project in the Chrome browser

Chrome is the official browser used for testing and delivery.

**Instructions for WebStorm editor**

You can run your project directly from WebStorm or PhpStorm. Right-click the HTML file in "sandbox/index.html" and select "Open in Browser" under the menu options.

**Instructions for other editors**

If you are using another editor such as Atom, Sublime or other, all you need to do is launch a little node server from your project directory

    > node server

Open the Chrome browser and navigate to the url and port printed in the terminal.

If you find that you need to run on a different port you can add the argument...

    node server --port PORT_NUMBER

####Usage

```html
<h:score property="{local_or_model_property}">

    <!-- Any one of the optional conditions can be included -->

    <!-- If the optional "weight" value included (a score value will be used)
    otherwise it will be treated as a boolean (pass / fail) value
    -->
    <all weight="{Integer}">

        <!-- Each assert is invoked and returns a true / false -->
        <assert><%= "{{val1}}" == "1" %>
        </assert>
    </all>
    <any weight="{Integer}">
        <assert><%= "{{val1}}" == "1" %>
        </assert>
        <assert><%= "{{val2}}" == "2" %>
        </assert>
    </any>
    <none weight="{Integer}">
        <assert><%= "{{val2}}" == "" || "{{val2}}" == "9" %>
        </assert>
    </none>
</h:score>
```